Bug 1885165 - NoRunningOvnMaster alert falsely triggered
Summary: NoRunningOvnMaster alert falsely triggered
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Juan Luis de Sousa-Valadas
QA Contact: Dan Brahaney
URL:
Whiteboard:
Depends On:
Blocks: 1885463
TreeView+ depends on / blocked
 
Reported: 2020-10-05 10:15 UTC by Juan Luis de Sousa-Valadas
Modified: 2021-02-24 15:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
This bug will never make it to 4.7, only the 4.6 clone (1885463) will need it if it doesn't make it to 4.6.0 and goes to 4.6.z
Clone Of:
Environment:
Last Closed: 2021-02-24 15:22:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 824 0 None closed Bug 1885165: Fix ovnkube metrics 2020-12-07 14:46:08 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:23:05 UTC

Description Juan Luis de Sousa-Valadas 2020-10-05 10:15:19 UTC
Description of problem:
NoRunningOvnMaster is triggered even though


Version-Release number of selected component (if applicable):
Current 4.6 master branch

How reproducible:
Always


Steps to Reproduce:
1. Launch a cluster
2. Wait 15 minutes after the cluster installation

Actual results:
Alert is triggered even if ovnkubernetes is reporting metrics

Expected results:
Alert isn't triggered unless ovnkubernetes isn't reporting metrics

Additional info:

Comment 1 Juan Luis de Sousa-Valadas 2020-10-06 10:04:25 UTC
Increasing priority to urgent because we want this verified so that we can try to get it merged in 4.6.0 soon.

Steps to  verify:
1- launch a 4.6 OVN cluster
2- login into prometheus (prometheus as in "http://prometheus-k8s-openshift-monitoring.<route default subdomain>" , not grafana)
3- Go to status -> targets
4- Look for the two OVN targets (just control+f ovn) and check that both have state UP

Comment 2 Juan Luis de Sousa-Valadas 2020-10-06 14:12:08 UTC
Lowered to medium because the 4.6 bug already merged.

Comment 4 Dan Brahaney 2020-12-04 18:49:08 UTC
No alerts are triggered. Verified.

Comment 5 Dan Brahaney 2020-12-04 18:52:52 UTC
OVN targets in prometheus also all have status UP.

Comment 8 errata-xmlrpc 2021-02-24 15:22:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.